1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Upgrading Using Autoinstaller

Discussion in 'SiteBuilder' started by om4knowledge, Sep 17, 2008.

  1. om4knowledge

    om4knowledge Guest

    0
     
    The updrade instructions say....
    To upgrade Plesk Sitebuilder using Autoinstaller:

    1. Download the Autoinstaller package for your OS from Parallels web site.
    2. Run the Autoinstaller and select the Sitebuilder 4.5.0 component.
    -------
    That is too vague for me. Please give me a hand.

    I'm running SB for Link on CENTOS Enterprise 4.6 i686.

    1) What command do I need to type to download the specific package(including path to file)?

    2) What command(s) do I need to type to Run?

    Thanks.
     
  2. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    If you on your Sitebuilder server you can download autoinstaller with help of 'wget':

    # wget http://download1.parallels.com/Site...ller_v3.3.2_build080710.09_os_CentOS_4.2_i386

    To run it, following list of commands should be performed:

    # chmod +x parallels_installer_v3.3.2_build080710.09_os_CentOS_4.2_i386

    # ./parallels_installer_v3.3.2_build080710.09_os_CentOS_4.2_i386

    After autoinstaller is run just follow the instructions.
     
  3. om4knowledge

    om4knowledge Guest

    0
     
    So close. Yet....

    from the command line...
    The following product versions are available:

    1. [ ] Plesk Control Panel

    2. [*] Sitebuilder
    3. (*) Sitebuilder 4.5.0
    4. ( ) Sitebuilder 4.2.3
    5. ( ) Sitebuilder 4.2.0 (currently installed)

    6. [ ] SSO

    N) Go to the next page; P) Go the previous page; Q) Cancel installing
    To select a version, type the respective number;
    Select action [N]:

    You have the product version Sitebuilder 4.2.0 installed.
    Do you want to upgrade it?

    Y) Yes; N) No
    Type Y for yes, or N for No: y
    Downloading the file SiteBuilder/SiteBuilder_4.5.0/sitebuilder-4.5.0-cos4.3-i386.inf3: 12%..21%..31%..41%..51%..60%..70%..80%..92%..100% done.
    Downloading the file repodata/repomd.xml: ERROR: Failed to download the package http://mirror.centos.org/centos-4/4.5/os/i386/repodata/repomd.xml:
    The requested URL returned error: 404
    Not all packages were installed.
    Please try installing packages again later.
    Please, resolve the above problem and try installing the packages again.
    If you cannot resolve the problem on your own, contact product technical support for assistance.
     
  4. om4knowledge

    om4knowledge Guest

    0
     
    I had a simillar 404 error with past installs.
    if you check out the readme @
    http://mirror.centos.org/centos-4/4.5/

    it says
    This directory (and version of CentOS) is depreciated. For normal users,
    you should use /4/ and not /4.5/ in your path. Please see this FAQ
    concerning the CentOS release scheme:

    http://www.centos.org/modules/smartfaq/faq.php?faqid=34

    If you know what you are doing, and absolutely want to remain at the 4.5
    level, go to http://vault.centos.org/ for packages.


    ? Can SiteBuilder us just /4/ instead of 4.whatever?
     
  5. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    It seems this situation not related to Sitebuilder itself as CentOS repository can not be accessed because of yum configuration I guess. Please check:

    [root@fedora6 ~]# wget http://mirror.centos.org/centos-4/4.5/os/i386/repodata/repomd.xml
    --05:25:15-- http://mirror.centos.org/centos-4/4.5/os/i386/repodata/repomd.xml
    => `repomd.xml.1'
    Resolving mirror.centos.org... 66.147.238.146
    Connecting to mirror.centos.org|66.147.238.146|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    05:25:16 ERROR 404: Not Found.

    and change 4.5 to 4.6:

    [root@fedora6 ~]# wget http://mirror.centos.org/centos-4/4.6/os/i386/repodata/repomd.xml
    --05:25:21-- http://mirror.centos.org/centos-4/4.6/os/i386/repodata/repomd.xml
    => `repomd.xml.1'
    Resolving mirror.centos.org... 66.147.238.146
    Connecting to mirror.centos.org|66.147.238.146|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1,144 (1.1K) [text/xml]

    100%[=================================================================================>] 1,144 --.--K/s

    05:25:22 (21.82 MB/s) - `repomd.xml' saved [1144/1144]

    You need to check yum configuration. Could you provide here: /etc/yum/sources.list file?
     
  6. om4knowledge

    om4knowledge Guest

    0
     
    d,

    i tried with the 4.6 - similar error
    yum

    /etc/yum

    has yum-daily.yum
    but, no sources.list

    yum-daily.yum
    says
    update
    ts run
    exit
     
  7. om4knowledge

    om4knowledge Guest

    0
     
    d,

    upgrade looks good.
    thank for your assistance.
     
Loading...